Subject: Re: bug#19137: mklabel gpt created invalid Protective MBR

From: "Brian C. Lane" <[email-masked]>
Date: Fri, 21 Nov 2014 12:15:17 -0800

On Fri, Nov 21, 2014 at 05:02:40PM +0100, Håkon Løvdal wrote:
> On 21 November 2014 08:50, Ulrich Windl
> <[email-masked]> wrote:
> > GNU Parted 2.3 creates an invalid Protective MBR (for a 3MB test image):
> 
> Hi. Version 2.3 is quite old, can you reproduce this with the latest
> version, 3.2?

Same thing happens with 3.2, the code in _write_pmbr is pretty
brain-dead. The SizeInLBA looks correct to me though, 1 less than the
disk length:

pmbr->PartitionRecord[0].SizeInLBA = PED_CPU_TO_LE32 (dev->length -
1UL);

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)